Index: branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh	(revision 570)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh	(revision 571)
@@ -316,70 +342,88 @@
 function IGCM_config_Check
 {
-    IGCM_debug_PushStack "IGCM_config_Check"
-
-    # If one of the following modulo is not zero :
-    # we will issue an error then explain and exit in
-    # AA_job IGCM_debug_Verif_Exit call before binary submission
-
+  IGCM_debug_PushStack "IGCM_config_Check"
+
+  # If one of the following modulo is not zero :
+  # we will issue an error then explain and exit in
+  # AA_job IGCM_debug_Verif_Exit call before binary submission
+
+  echo
+  IGCM_debug_Print 1 "IGCM_config_Check"
+  echo
+
+  typeset i
+
+  # Check RebuildFrequency against key frequencies : PeriodLength ; PackFrequency ; TimeSeriesFrequency ; SeasonalFrequency
+  if ( [ ! X${config_Post_RebuildFrequency} = X${NULL_STR} ] && [ ! X${config_Post_RebuildFrequency} = XNONE ] ) ; then
+    AsynchronousRebuild=true
+    IGCM_debug_Print 1 "Asynchronous rebuild has been activated."
     echo
-    IGCM_debug_Print 1 "IGCM_config_Check"
+    # modulo (RebuildFrequency and PeriodLength/TimeSeriesFrequency/SeasonalFrequency) must be zero
+    IGCM_debug_Print 1 "Check coherence between RebuildFrequency and PeriodLength"
+    IGCM_post_CheckModuloFrequency config_Post_RebuildFrequency config_UserChoices_PeriodLength
+    IGCM_debug_Print 1 "Check coherence between PackFrequency and RebuildFrequency"
+    IGCM_post_CheckModuloFrequency config_Post_PackFrequency config_Post_RebuildFrequency
+    IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and RebuildFrequency"
+    IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_Post_RebuildFrequency
+    IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and RebuildFrequency"
+    IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency config_Post_RebuildFrequency
+  else
+    AsynchronousRebuild=false
+    IGCM_debug_Print 1 "Asynchronous rebuild has not been activated"
+    IGCM_debug_Print 1 "Proceed with standard post-treatment pathway"
     echo
-
-    typeset i
-
-    if ( [ ! X${config_Post_RebuildFrequency} = X${NULL_STR} ] || [ ! X${config_Post_RebuildFrequency} = XNONE ] ) ; then
-	AsynchronousRebuild=true
-	IGCM_debug_Print 1 "Asynchronous rebuild has been activated."
-	echo
-	# modulo (RebuildFrequency and PeriodLength/TimeSeriesFrequency/SeasonalFrequency) must be zero
-	IGCM_debug_Print 1 "Check coherence between RebuildFrequency and PeriodLength"
-	IGCM_post_CheckModuloFrequency config_Post_RebuildFrequency config_UserChoices_PeriodLength
-	IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and RebuildFrequency"
-	IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_Post_RebuildFrequency
-	IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and RebuildFrequency"
-	IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency config_Post_RebuildFrequency
-    else
-	AsynchronousRebuild=false
-	IGCM_debug_Print 1 "Asynchronous rebuild has not been activated"
-	IGCM_debug_Print 1 "Proceed with standard post-treatment pathway"
-	echo
-	#modulo (TimeSeriesFrequency/SeasonalFrequency and PeriodLenght) must be zero
-	IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and PeriodLength"
-	IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_UserChoices_PeriodLength
-	IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and PeriodLength"
-	IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency   config_UserChoices_PeriodLength
-    fi
-
-    #modulo (TimeSeriesFrequency and all Chunck2D) must be zero
-    NbJob=${#CHUNCK2D_SIZE[@]}
-    i=0
-    until [ $i -ge $NbJob ]; do
-	value=${CHUNCK2D_SIZE[${i}]}
-	IGCM_debug_Print 1 "Check coherence between All Chunck2D frequency and TimeSeriesFrequency"
-	IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
-	case ${value} in  
-	    *Y|*y) ;; 
-	    *)  IGCM_debug_Print 1 "All ChunckJob2D frequency must be expressed in year *Y|*y in comp.card"
-		IGCM_debug_Exit "This will stop the job" ;;
-	esac
-	(( i=i+1 ))
-    done
-
-    #modulo (TimeSeriesFrequency and all Chunck3D) must be zero
-    NbJob=${#CHUNCK3D_SIZE[@]}
-    i=0
-    until [ $i -ge $NbJob ]; do
-	value=${CHUNCK3D_SIZE[${i}]}
-	IGCM_debug_Print 1 "Check coherence between All Chunck3D frequency and TimeSeriesFrequency"
-	IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
-	case ${value} in  
-	    *Y|*y) ;; 
-	    *)  IGCM_debug_Print 1 "All ChunckJob3D frequency must be expressed in year *Y|*y in comp.card"
-		IGCM_debug_Exit "This will stop the job" ;;
-	esac
-	(( i=i+1 ))
-    done
-
-    IGCM_debug_PopStack "IGCM_config_Check"
+    #modulo (PeriodLength and TimeSeriesFrequency/SeasonalFrequency) must be zero
+    IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and PeriodLength"
+    IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_UserChoices_PeriodLength
+    IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and PeriodLength"
+    IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency   config_UserChoices_PeriodLength
+  fi
+
+  # Check PackFrequency against other key frequencies 
+  # Modulo (PackFrequency and TimeSeriesFrequency/SeasonalFrequency and PeriodLenght) must be zero
+  if ( [ ! X${config_Post_PackFrequency} = X${NULL_STR} ] && [ ! X${config_Post_PackFrequency} = XNONE ] ) ; then
+    Pack=true
+    #
+    IGCM_debug_Print 1 "Check coherence between PackFrequency and PeriodLength"
+    IGCM_post_CheckModuloFrequency config_Post_PackFrequency config_UserChoices_PeriodLength
+    IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and PackFrequency"
+    IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_Post_PackFrequency
+    IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and PackFrequency"
+    IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency config_Post_PackFrequency
+  else
+    Pack=false
+  fi
+
+  #modulo (TimeSeriesFrequency and all Chunck2D) must be zero
+  NbJob=${#CHUNCK2D_SIZE[@]}
+  i=0
+  until [ $i -ge $NbJob ]; do
+    value=${CHUNCK2D_SIZE[${i}]}
+    IGCM_debug_Print 1 "Check coherence between All Chunck2D frequency and TimeSeriesFrequency"
+    IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
+    case ${value} in  
+    *Y|*y) ;; 
+    *)  IGCM_debug_Print 1 "All ChunckJob2D frequency must be expressed in year *Y|*y in comp.card"
+      IGCM_debug_Exit "This will stop the job" ;;
+    esac
+    (( i=i+1 ))
+  done
+
+  #modulo (TimeSeriesFrequency and all Chunck3D) must be zero
+  NbJob=${#CHUNCK3D_SIZE[@]}
+  i=0
+  until [ $i -ge $NbJob ]; do
+    value=${CHUNCK3D_SIZE[${i}]}
+    IGCM_debug_Print 1 "Check coherence between All Chunck3D frequency and TimeSeriesFrequency"
+    IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
+    case ${value} in  
+    *Y|*y) ;; 
+    *)  IGCM_debug_Print 1 "All ChunckJob3D frequency must be expressed in year *Y|*y in comp.card"
+      IGCM_debug_Exit "This will stop the job" ;;
+    esac
+    (( i=i+1 ))
+  done
+
+  IGCM_debug_PopStack "IGCM_config_Check"
 }
 
